{ pkgs, ... }:

let
  web-app = name: url:
    pkgs.writeScriptBin name ''
      #!${pkgs.stdenv.shell}
      exec ${pkgs.chromium}/bin/chromium --user-data-dir=$HOME/.config/chromium-app-${name} --app="${url}"
    '';
  whatsapp = web-app "whatsapp" "https://web.whatsapp.com/";
  threema = web-app "threema" "https://web-beta.threema.ch/";
  threema-work = web-app "threema-work" "https://web-beta.threema.ch/";
  threema-red = web-app "threema-red" "https://web-work-staging.threema.ch/";
  threema-tickets = web-app "threema-tickets" "https://ticket.threema.ch/scp/";
  netflix = web-app "netflix" "https://netflix.com/";
  disneyplus = web-app "disneyplus" "https://disneyplus.com/";
in {
  home.packages = [
    whatsapp
    netflix
    disneyplus
    threema
    threema-work
    threema-red
    threema-tickets
  ];
}
